<?php

namespace App\Models;

// use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Prize extends Model
{
    // use HasFactory;
     protected $fillable = [
        'prize',
        'name',
        'color',
        'music_effect',
        'win_chance',
        'is_active',
        'count',
        'spin_time',
        'phone_number',
        'prize_won',
        'is_collected',
        'is_valid',
        'get_deal',
        'effect',
        'time',
        'date',
    ];
    public function customers(): HasMany
    {
        return $this->hasMany(Customer::class);
    }
}
